Page MenuHomePhabricator

Skipped tutorial step is not logged in funnel data (UploadWizardStep) if skipped due to campaign configuration
Closed, ResolvedPublic

Description

Skipped tutorial step is not logged in funnel data (UploadWizardStep) if skipped due to campaign configuration. It is logged if skipped due to user preferences, though.

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterFix tutorial step logging

Event Timeline

matmarex created this task.Nov 4 2016, 2:36 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptNov 4 2016, 2:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I think https://gerrit.wikimedia.org/r/#/c/314024/ might be accidentally fixing this? We should make sure.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 4 2016, 2:38 PM
MarkTraceur triaged this task as Medium priority.Nov 16 2016, 6:48 PM
MarkTraceur moved this task from Untriaged to Needs code review on the Multimedia board.
MarkTraceur added a project: TestMe.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 16 2016, 6:48 PM

Turns out https://gerrit.wikimedia.org/r/#/c/314024/ didn't fix this.
It even made it worse: similar to how tutorial step was already skipped completely if config told it to skip (config.tutorial.skip), it would not also do so when user preference was set to skip (mw.user.options.get( 'upwiz_skiptutorial' )).
So if tutorial was skipped, most of the time nothing at all would be logged.

Patch coming up.

Change 325770 had a related patch set uploaded (by Matthias Mullie):
Fix tutorial step logging

https://gerrit.wikimedia.org/r/325770

MarkTraceur closed this task as Resolved.Dec 8 2016, 4:59 PM
MarkTraceur claimed this task.

Change 325770 merged by jenkins-bot:
Fix tutorial step logging

https://gerrit.wikimedia.org/r/325770